﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ControlTest16
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        /// <summary>
        /// TabItem Add
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void TabItemAdd_Click(object sender, RoutedEventArgs e)
        {
            // Tab Create
            TabItem tabitem = new TabItem();
          
            int tcnt = 0;

            for (int i = 0; i<Tab2.Items.Count; i++)
            {
                tcnt = tcnt + 1;
                tabitem.Header = "Tab " + tcnt;
            }

            Tab2.Items.Add(tabitem);
        }

        /// <summary>
        /// TabItem Delete
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void TabItemDel_Click(object sender, RoutedEventArgs e)
        {
            int tabcnt = Tab2.Items.Count;

            if (tabcnt > 0)
            {
                Tab2.Items.RemoveAt(tabcnt - 1);
            }
            else
            {
                MessageBox.Show("삭제할 텝이 없습니다.");
                return;
            }
        }

        /// <summary>
        /// TabItem Orientation
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ComboBox_SelectionChanged(object sender, 
            SelectionChangedEventArgs e)
        {
            int cboitem = cboOrientation.SelectedIndex;

            if (cboitem < 0)
                return;

            switch (cboitem)
            {
                case 0:
                    Tab2.TabStripPlacement = Dock.Top;
                    break;
                case 1:
                    Tab2.TabStripPlacement = Dock.Bottom;
                    break;
                case 2:
                    Tab2.TabStripPlacement = Dock.Left;
                    break;
                case 3:
                    Tab2.TabStripPlacement = Dock.Right;
                    break;
            }
        }
    }
}
